API Reference · Hosting
Get Hosted Asset
Hosted BIMI logo / certificate
GET
/bimi/{domain}/{file}Public (no credentials needed)
Also served host-based at https://bimi.getverifiedinbox.com/{domain}/{file}. 404 until active.
cURL example
cURL request
curl "https://api.verifiedinbox.ai/bimi/acme.com/logo.svg"Parameters
| Parameter | Type | Description |
|---|---|---|
domainpathrequired | string | Customer domain, e.g. `acme.com`. |
filepathrequired | string | `logo.svg` or `certificate.pem` (`vmc.pem`/`cmc.pem` are accepted aliases). |
Response
200 OK`logo.svg` (SVG) or `certificate.pem` (`application/x-pem-file`).
image/svg+xmlOther responses & possible errors
Expand a status code below to see the error code, description, and example error payload.
400 (invalid_request)`invalid_request` — the request is malformed.
`invalid_request` — the request is malformed.
Example 400 error response
{
"error": {
"code": "invalid_request",
"message": "Please provide a valid domain name."
}
}404 (not_found)`not_found` — doesn't exist or isn't accessible to you (never 403).
`not_found` — doesn't exist or isn't accessible to you (never 403).
Example 404 error response
{
"error": {
"code": "not_found",
"message": "We couldn't find that resource."
}
}429 (rate_limited)`rate_limited` — retry after `Retry-After` seconds (`details.retry_after_seconds`). `limit_reached` — a quota is used up; `details.limit` names it and `next_action` offers support.
`rate_limited` — retry after `Retry-After` seconds (`details.retry_after_seconds`). `limit_reached` — a quota is used up; `details.limit` names it and `next_action` offers support.
Example 429 error response
{
"error": {
"code": "rate_limited",
"message": "Too many requests. Please wait a moment and try again."
}
}Was it helpful?